# 开发环境配置

# 服务器配置
server:
  port: 9200

# 数据源配置
spring:
  datasource:
    url: jdbc:mysql://1.14.159.185:3318/cms_demo?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai
    username: cms_demo
    password: EtzJFr4A3c4THZjY
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource

  # redis
  redis:
    database: 0
    host: 132.232.214.96
    port: 16379
    password: redis_WSDb88

# 日志配置
logging:
  level:
    com.gxwebsoft: DEBUG
    com.baomidou.mybatisplus: DEBUG
    com.gxwebsoft.shop.mapper: DEBUG
    org.apache.ibatis: DEBUG

socketio:
  host: localhost #IP地址

# MQTT配置
mqtt:
  enabled: false  # 添加开关来禁用MQTT服务
  host: tcp://1.14.159.185:1883
  username: swdev
  password: Sw20250523
  client-id-prefix: hjm_car_
  topic: /SW_GPS/#
  qos: 2
  connection-timeout: 10
  keep-alive-interval: 20
  auto-reconnect: true

# 框架配置
config:
  # 开发环境接口
  server-url: https://server.websoft.top/api
  upload-path: /Users/gxwebsoft/JAVA/mp-java/src/main/resources/   # window(D:\Temp)

  # JWT配置
  jwt:
    secret: websoft-jwt-secret-key-2025-dev-environment
    expire: 86400  # token过期时间(秒) 24小时

# 开发环境证书配置
certificate:
  load-mode: CLASSPATH  # 开发环境从classpath加载
  wechat-pay:
    dev:
      private-key-file: "apiclient_key.pem"
      apiclient-cert-file: "apiclient_cert.pem"
      wechatpay-cert-file: "wechatpay_cert.pem"

aliyun:
  knowledge-base:
    access-key-id: LTAI5tD5YRKuxWz6Eg7qrM4P
    access-key-secret: bO8TBDXflOwbtSKimPpG8XrJnyzgTk
    workspace-id: llm-4pf5auwewoz34zqu
    top-category-id: cate_1db52d0dad764658bb7057293f7e8033_10377381

ai:
  template:
    # Word 模板路径
    word-template-path: classpath:templates/audit_report_template.docx
    # 或者使用绝对路径
    # word-template-path: D:\\公司经济责任审计方案模板.docx